### Function

# Clutter ProgressFunc

#### Declaration

    gboolean
    (* ClutterProgressFunc) (
      const GValue* a,
      const GValue* b,
      gdouble progress,
      GValue* retval
    )

#### Description [src]

Prototype of the progress function used to compute the value between the two ends `a` and `b` of an interval depending on the value of `progress`.

The `GValue` in `retval` is already initialized with the same type as `a` and `b`.

This function will be called by `ClutterInterval` if the type of the values of the interval was registered using `clutter_interval_register_progress_func()`.

#### Parameters

`a`

  Type: `GValue`

  The initial value of an interval.

  The data is owned by the caller of the function.

`b`

  Type: `GValue`

  The final value of an interval.

  The data is owned by the caller of the function.

`progress`

  Type: `gdouble`

  The progress factor, between 0 and 1.

`retval`

  Type: `GValue`

  The value used to store the progress.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the function successfully computed the value and stored it inside `retval`.